
/*
 *    MCreator note: This file will be REGENERATED on each build.
 */
package net.mcreator.illagersplus.init;

import net.minecraft.world.level.levelgen.feature.Feature;
import net.minecraft.world.level.levelgen.feature.ConfiguredFeature;
import net.minecraft.world.level.levelgen.GenerationStep;
import net.minecraft.resources.ResourceLocation;
import net.minecraft.resources.ResourceKey;
import net.minecraft.data.BuiltinRegistries;
import net.minecraft.core.Registry;

import net.mcreator.illagersplus.world.features.PillagergraveFeature;
import net.mcreator.illagersplus.IllagersPlusMod;

import net.fabricmc.fabric.api.biome.v1.BiomeSelectionContext;
import net.fabricmc.fabric.api.biome.v1.BiomeModifications;

import java.util.function.Predicate;

public class IllagersPlusModFeatures {
	public static void load() {
		register("pillagergrave", PillagergraveFeature.FEATURE, PillagergraveFeature.CONFIGURED_FEATURE, PillagergraveFeature.GENERATE_BIOMES,
				GenerationStep.Decoration.UNDERGROUND_STRUCTURES);
	}

	private static void register(String registryName, Feature feature, ConfiguredFeature<?, ?> configFeature, Predicate<BiomeSelectionContext> biomes,
			GenerationStep.Decoration genStep) {
		Registry.register(Registry.FEATURE, new ResourceLocation(IllagersPlusMod.MODID, registryName), feature);
		ResourceKey<ConfiguredFeature<?, ?>> configFeatKey = ResourceKey.create(Registry.CONFIGURED_FEATURE_REGISTRY,
				new ResourceLocation(IllagersPlusMod.MODID, registryName));
		Registry.register(BuiltinRegistries.CONFIGURED_FEATURE, configFeatKey.location(), configFeature);
		BiomeModifications.addFeature(biomes, genStep, configFeatKey);
	}
}
