
/*
 *    MCreator note: This file will be REGENERATED on each build.
 */
package net.mcreator.illagersplus.init;

import net.minecraft.world.entity.MobCategory;
import net.minecraft.world.entity.EntityType;
import net.minecraft.world.entity.EntityDimensions;
import net.minecraft.world.entity.Entity;
import net.minecraft.resources.ResourceLocation;
import net.minecraft.core.Registry;

import net.mcreator.illagersplus.entity.KillagerEntity;
import net.mcreator.illagersplus.IllagersPlusMod;

import net.fabricmc.fabric.api.object.builder.v1.entity.FabricEntityTypeBuilder;
import net.fabricmc.fabric.api.object.builder.v1.entity.FabricDefaultAttributeRegistry;

public class IllagersPlusModEntities {
	public static EntityType<KillagerEntity> KILLAGER;

	public static void load() {
		KILLAGER = Registry.register(Registry.ENTITY_TYPE, new ResourceLocation(IllagersPlusMod.MODID, "killager"),
				FabricEntityTypeBuilder.create(MobCategory.MONSTER, KillagerEntity::new).dimensions(new EntityDimensions(0.6f, 1.8f, true))
						.fireImmune().trackRangeBlocks(64).forceTrackedVelocityUpdates(true).trackedUpdateRate(3).build());
		KillagerEntity.init();
		FabricDefaultAttributeRegistry.register(KILLAGER, KillagerEntity.createAttributes());
	}

	private static <T extends Entity> EntityType<T> createArrowEntityType(EntityType.EntityFactory<T> factory) {
		return FabricEntityTypeBuilder.create(MobCategory.MISC, factory).dimensions(EntityDimensions.fixed(0.5f, 0.5f)).trackRangeBlocks(1)
				.trackedUpdateRate(64).build();
	}
}
